<template>
    <section class="about_page section">
        <app-header class="fixed_header"
                    theme="light_theme"
                    id="header"
        ></app-header>
        <div class="about_page-content section-content row col-12">
            <div class="about_page-content-map_wrapper col-12">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d14455.651231380592!2d55.1379023390806!3d25.07094422935986!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e5f6cafb98a0725%3A0x6a2dec1aef8cd997!2sJumeirah+Lakes+Towers+-+Dubai+-+United+Arab+Emirates!5e0!3m2!1sen!2sru!4v1558507941484!5m2!1sen!2sru" frameborder="0" style="border:0" allowfullscreen></iframe>
            </div>

            <p class="about_page-content-title col-12 col-xl-4" v-html="$t('aboutUs.header')"></p>

            <div class="about_page-content-items col-12 col-xl-7">
                <div class="about_page-content-items-item col-12 row">
                    <div class="about_page-content-items-item-title nice_text col-12 col-sm-6" >
                        <p class="ie-white-title" v-html="$t('aboutUs.address')"></p>
                        <p class="nice_text-bg ie-lightbg" v-html="$t('aboutUs.address')"></p>
                    </div>
                    <p class="about_page-content-items-item-text col-12 col-sm-6" v-html="$t('aboutUs.address_info')"></p>
                </div>

                <div class="about_page-content-items-item col-12 row">
                    <div class="about_page-content-items-item-title nice_text col-12 col-sm-6">
                        <p class="ie-white-title" v-html="$t('aboutUs.email')"></p>
                        <p class="nice_text-bg ie-lightbg" v-html="$t('aboutUs.email')"></p>
                    </div>
                    <p class="about_page-content-items-item-text col-6" style="text-decoration: underline">
                        dmccems@gmail.com
                    </p>
                </div>

                <div class="about_page-content-items-item col-12 row">
                    <div class="about_page-content-items-item-title nice_text col-12 col-sm-6">
                        <p class="ie-white-title" v-html="$t('aboutUs.tel')"></p>
                        <p class="nice_text-bg ie-lightbg"  v-html="$t('aboutUs.tel')"></p>
                    </div>
                    <p class="about_page-content-items-item-text col-12 col-sm-6">
                        {{$t('aboutUs.int')}} +971 55 735 5889
                        
                    </p>
                </div>
            </div>

            <app-footer></app-footer>

        </div>

    </section>
</template>

<script>
    import AppHeader from "./AppHeader"
    import AppFooter from "./AppFooter"
    export default {
        components: {
            AppHeader,
            AppFooter
        }
    }
</script>

<style lang="sass" scoped>
    //переменные
    $maxWidth: 1280px
    $inititalHeight: 100vh
    $opensans: "Open Sans", sans-serif
    $montserrat: "Montserrat", sans-serif
    .about_page
        &-content
            &-map_wrapper
                padding: 0
                margin: 50px 0
                height: 60vh
                iframe
                    width: 100%
                    height: 100%
            &-map
                margin: 80px auto
            &-title
                font-size: 70px
                line-height: 1.4
                color: #47474b
                font-weight: 900
                padding: 0
            &-items
                padding: 0 0 0 75px
                margin-top: 2.5em
                &-item
                    padding: 0
                    margin: 0 0 82px 0
                    &-title, &-text
                        padding: 0
                    &-text
                        font-size: 24px
                        line-height: 1.5
                        padding-top: 5px

    @media screen and (max-width: 1366px)
        .about_page
            &-content
                &-title
                    font-size: 54px
                    line-height: 1.4
                    color: #47474b
                    font-weight: 900
                    padding: 0
                &-items
                    margin-top: 1.7em
                    padding-left: 5%
                    &-item
                        &-text
                            font-size: 22px
    @media screen and (max-width: 1200px)
        .about_page-content-items
            padding-left: 0
    @media screen and (max-width: 992px)
        .about_page
            &-content
                &-map_wrapper
                    margin: 100px 0
                img
                    width: 100%
                &-title
                    font-size: 42px
                &-items
                    &-item
                        &-text
                            font-size: 16px
    @media screen and (max-width: 769px)
        .page_footer
            padding: 0 20px
            &:before
                left: 20px
                width: calc(100% - 40px)
        .about_page
            &-content
                padding: 0
                img
                    width: auto
                    margin-left: -70px
                &-title, &-items, .header
                    padding: 0 20px
                &-map_wrapper
                    height: 340px
    @media screen and (max-width: 570px)
        .page_footer
            padding-left: 20px!important
            padding-right: 20px!important
            margin-top: 20px
            &:before
                left: 0!important
                width: 100%!important
        .about_page
            &-content
                padding: 0
                &-map_wrapper
                    margin: 100px 0 30px
                img
                    margin-left: -100px
                &-title
                    padding: 0 20px
                    font-size: 30px
                &-items
                    padding: 0 20px
                    margin-top: 40px
                    &-item
                        margin-bottom: 40px
                        &-text
                            font-size: 20px
                        &-title
                            margin-bottom: 20px
    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) 
        .ie-lightbg
                transition: color, width 0.2s!important
                color: #898a94!important
                background: transparent!important
                font-family:  Helvetica
                left: 1px!important
        .ie-white-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #fff !important
                font-family:  Helvetica
                padding-left: 1px        
</style>
